{
    "packages": [
        {
            "name": "monolog/monolog",
            "version": "2.10.0",
            "version_normalized": "2.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Seldaek/monolog.git",
                "reference": "5cf826f2991858b54d5c3809bee745560a1042a7"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Seldaek/monolog/zipball/5cf826f2991858b54d5c3809bee745560a1042a7",
                "reference": "5cf826f2991858b54d5c3809bee745560a1042a7",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2",
                "psr/log": "^1.0.1 || ^2.0 || ^3.0"
            },
            "provide": {
                "psr/log-implementation": "1.0.0 || 2.0.0 || 3.0.0"
            },
            "require-dev": {
                "aws/aws-sdk-php": "^2.4.9 || ^3.0",
                "doctrine/couchdb": "~1.0@dev",
                "elasticsearch/elasticsearch": "^7 || ^8",
                "ext-json": "*",
                "graylog2/gelf-php": "^1.4.2 || ^2@dev",
                "guzzlehttp/guzzle": "^7.4",
                "guzzlehttp/psr7": "^2.2",
                "mongodb/mongodb": "^1.8",
                "php-amqplib/php-amqplib": "~2.4 || ^3",
                "phpspec/prophecy": "^1.15",
                "phpstan/phpstan": "^1.10",
                "phpunit/phpunit": "^8.5.38 || ^9.6.19",
                "predis/predis": "^1.1 || ^2.0",
                "rollbar/rollbar": "^1.3 || ^2 || ^3",
                "ruflin/elastica": "^7",
                "swiftmailer/swiftmailer": "^5.3|^6.0",
                "symfony/mailer": "^5.4 || ^6",
                "symfony/mime": "^5.4 || ^6"
            },
            "suggest": {
                "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
                "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
                "elasticsearch/elasticsearch": "Allow sending log messages to an Elasticsearch server via official client",
                "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
                "ext-curl": "Required to send log messages using the IFTTTHandler, the LogglyHandler, the SendGridHandler, the SlackWebhookHandler or the TelegramBotHandler",
                "ext-mbstring": "Allow to work properly with unicode symbols",
                "ext-mongodb": "Allow sending log messages to a MongoDB server (via driver)",
                "ext-openssl": "Required to send log messages using SSL",
                "ext-sockets": "Allow sending log messages to a Syslog server (via UDP driver)",
                "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
                "mongodb/mongodb": "Allow sending log messages to a MongoDB server (via library)",
                "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
                "rollbar/rollbar": "Allow sending log messages to Rollbar",
                "ruflin/elastica": "Allow sending log messages to an Elastic Search server"
            },
            "time": "2024-11-12T12:43:37+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Monolog\\": "src/Monolog"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "https://seld.be"
                }
            ],
            "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
            "homepage": "https://github.com/Seldaek/monolog",
            "keywords": [
                "log",
                "logging",
                "psr-3"
            ],
            "support": {
                "issues": "https://github.com/Seldaek/monolog/issues",
                "source": "https://github.com/Seldaek/monolog/tree/2.10.0"
            },
            "funding": [
                {
                    "url": "https://github.com/Seldaek",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/monolog/monolog",
                    "type": "tidelift"
                }
            ],
            "install-path": "../monolog/monolog"
        },
        {
            "name": "psr/log",
            "version": "1.1.4",
            "version_normalized": "1.1.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/log/zipball/d49695b909c3b7628b6289db5479a1c204601f11",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2021-05-03T11:20:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "Psr/Log/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "support": {
                "source": "https://github.com/php-fig/log/tree/1.1.4"
            },
            "install-path": "../psr/log"
        },
        {
            "name": "sabre/dav",
            "version": "4.4.0",
            "version_normalized": "4.4.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/dav.git",
                "reference": "b65362abc926520eda2c57e219f022a6c288069d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/dav/zipball/b65362abc926520eda2c57e219f022a6c288069d",
                "reference": "b65362abc926520eda2c57e219f022a6c288069d",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-date": "*",
                "ext-dom": "*",
                "ext-iconv": "*",
                "ext-json": "*",
                "ext-mbstring": "*",
                "ext-pcre": "*",
                "ext-simplexml": "*",
                "ext-spl": "*",
                "lib-libxml": ">=2.7.0",
                "php": "^7.1.0 || ^8.0",
                "psr/log": "^1.0 || ^2.0 || ^3.0",
                "sabre/event": "^5.0",
                "sabre/http": "^5.0.5",
                "sabre/uri": "^2.0",
                "sabre/vobject": "^4.2.1",
                "sabre/xml": "^2.0.1"
            },
            "require-dev": {
                "evert/phpdoc-md": "~0.1.0",
                "friendsofphp/php-cs-fixer": "^2.17.1",
                "monolog/monolog": "^1.18",
                "phpstan/phpstan": "^0.12",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.0"
            },
            "suggest": {
                "ext-curl": "*",
                "ext-imap": "*",
                "ext-pdo": "*"
            },
            "time": "2022-06-27T09:07:55+00:00",
            "bin": [
                "bin/sabredav",
                "bin/naturalselection"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Sabre\\DAV\\": "lib/DAV/",
                    "Sabre\\CalDAV\\": "lib/CalDAV/",
                    "Sabre\\DAVACL\\": "lib/DAVACL/",
                    "Sabre\\CardDAV\\": "lib/CardDAV/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                }
            ],
            "description": "WebDAV Framework for PHP",
            "homepage": "http://sabre.io/",
            "keywords": [
                "CalDAV",
                "CardDAV",
                "WebDAV",
                "framework",
                "iCalendar"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/dav/issues",
                "source": "https://github.com/fruux/sabre-dav"
            },
            "install-path": "../sabre/dav"
        },
        {
            "name": "sabre/event",
            "version": "5.1.7",
            "version_normalized": "5.1.7.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/event.git",
                "reference": "86d57e305c272898ba3c28e9bd3d65d5464587c2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/event/zipball/86d57e305c272898ba3c28e9bd3d65d5464587c2",
                "reference": "86d57e305c272898ba3c28e9bd3d65d5464587c2",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "~2.17.1||^3.63",
                "phpstan/phpstan": "^0.12",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.6"
            },
            "time": "2024-08-27T11:23:05+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "lib/coroutine.php",
                    "lib/Loop/functions.php",
                    "lib/Promise/functions.php"
                ],
                "psr-4": {
                    "Sabre\\Event\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                }
            ],
            "description": "sabre/event is a library for lightweight event-based programming",
            "homepage": "http://sabre.io/event/",
            "keywords": [
                "EventEmitter",
                "async",
                "coroutine",
                "eventloop",
                "events",
                "hooks",
                "plugin",
                "promise",
                "reactor",
                "signal"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/event/issues",
                "source": "https://github.com/fruux/sabre-event"
            },
            "install-path": "../sabre/event"
        },
        {
            "name": "sabre/http",
            "version": "5.1.13",
            "version_normalized": "5.1.13.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/http.git",
                "reference": "7c2a14097d1a0de2347dcbdc91a02f38e338f4db"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/http/zipball/7c2a14097d1a0de2347dcbdc91a02f38e338f4db",
                "reference": "7c2a14097d1a0de2347dcbdc91a02f38e338f4db",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-curl": "*",
                "ext-mbstring": "*",
                "php": "^7.1 || ^8.0",
                "sabre/event": ">=4.0 <6.0",
                "sabre/uri": "^2.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "~2.17.1||3.63.2",
                "phpstan/phpstan": "^0.12",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.6"
            },
            "suggest": {
                "ext-curl": " to make http requests with the Client class"
            },
            "time": "2025-09-09T10:21:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "lib/functions.php"
                ],
                "psr-4": {
                    "Sabre\\HTTP\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                }
            ],
            "description": "The sabre/http library provides utilities for dealing with http requests and responses. ",
            "homepage": "https://github.com/fruux/sabre-http",
            "keywords": [
                "http"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/http/issues",
                "source": "https://github.com/fruux/sabre-http"
            },
            "install-path": "../sabre/http"
        },
        {
            "name": "sabre/uri",
            "version": "2.3.4",
            "version_normalized": "2.3.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/uri.git",
                "reference": "b76524c22de90d80ca73143680a8e77b1266c291"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/uri/zipball/b76524c22de90d80ca73143680a8e77b1266c291",
                "reference": "b76524c22de90d80ca73143680a8e77b1266c291",
                "shasum": ""
            },
            "require": {
                "php": "^7.4 || ^8.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^3.63",
                "phpstan/extension-installer": "^1.4",
                "phpstan/phpstan": "^1.12",
                "phpstan/phpstan-phpunit": "^1.4",
                "phpstan/phpstan-strict-rules": "^1.6",
                "phpunit/phpunit": "^9.6"
            },
            "time": "2024-08-27T12:18:16+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "lib/functions.php"
                ],
                "psr-4": {
                    "Sabre\\Uri\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                }
            ],
            "description": "Functions for making sense out of URIs.",
            "homepage": "http://sabre.io/uri/",
            "keywords": [
                "rfc3986",
                "uri",
                "url"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/uri/issues",
                "source": "https://github.com/fruux/sabre-uri"
            },
            "install-path": "../sabre/uri"
        },
        {
            "name": "sabre/vobject",
            "version": "4.5.7",
            "version_normalized": "4.5.7.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/vobject.git",
                "reference": "ff22611a53782e90c97be0d0bc4a5f98a5c0a12c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/vobject/zipball/ff22611a53782e90c97be0d0bc4a5f98a5c0a12c",
                "reference": "ff22611a53782e90c97be0d0bc4a5f98a5c0a12c",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "php": "^7.1 || ^8.0",
                "sabre/xml": "^2.1 || ^3.0 || ^4.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "~2.17.1",
                "phpstan/phpstan": "^0.12 || ^1.12 || ^2.0",
                "phpunit/php-invoker": "^2.0 || ^3.1",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.6"
            },
            "suggest": {
                "hoa/bench": "If you would like to run the benchmark scripts"
            },
            "time": "2025-04-17T09:22:48+00:00",
            "bin": [
                "bin/vobject",
                "bin/generate_vcards"
            ],
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Sabre\\VObject\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                },
                {
                    "name": "Dominik Tobschall",
                    "email": "dominik@fruux.com",
                    "homepage": "http://tobschall.de/",
                    "role": "Developer"
                },
                {
                    "name": "Ivan Enderlin",
                    "email": "ivan.enderlin@hoa-project.net",
                    "homepage": "http://mnt.io/",
                    "role": "Developer"
                }
            ],
            "description": "The VObject library for PHP allows you to easily parse and manipulate iCalendar and vCard objects",
            "homepage": "http://sabre.io/vobject/",
            "keywords": [
                "availability",
                "freebusy",
                "iCalendar",
                "ical",
                "ics",
                "jCal",
                "jCard",
                "recurrence",
                "rfc2425",
                "rfc2426",
                "rfc2739",
                "rfc4770",
                "rfc5545",
                "rfc5546",
                "rfc6321",
                "rfc6350",
                "rfc6351",
                "rfc6474",
                "rfc6638",
                "rfc6715",
                "rfc6868",
                "vCalendar",
                "vCard",
                "vcf",
                "xCal",
                "xCard"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/vobject/issues",
                "source": "https://github.com/fruux/sabre-vobject"
            },
            "install-path": "../sabre/vobject"
        },
        {
            "name": "sabre/xml",
            "version": "2.2.11",
            "version_normalized": "2.2.11.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/xml.git",
                "reference": "01a7927842abf3e10df3d9c2d9b0cc9d813a3fcc"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/xml/zipball/01a7927842abf3e10df3d9c2d9b0cc9d813a3fcc",
                "reference": "01a7927842abf3e10df3d9c2d9b0cc9d813a3fcc",
                "shasum": ""
            },
            "require": {
                "ext-dom": "*",
                "ext-xmlreader": "*",
                "ext-xmlwriter": "*",
                "lib-libxml": ">=2.6.20",
                "php": "^7.1 || ^8.0",
                "sabre/uri": ">=1.0,<3.0.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "~2.17.1||3.63.2",
                "phpstan/phpstan": "^0.12",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.6"
            },
            "time": "2024-09-06T07:37:46+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "lib/Deserializer/functions.php",
                    "lib/Serializer/functions.php"
                ],
                "psr-4": {
                    "Sabre\\Xml\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "http://evertpot.com/",
                    "role": "Developer"
                },
                {
                    "name": "Markus Staab",
                    "email": "markus.staab@redaxo.de",
                    "role": "Developer"
                }
            ],
            "description": "sabre/xml is an XML library that you may not hate.",
            "homepage": "https://sabre.io/xml/",
            "keywords": [
                "XMLReader",
                "XMLWriter",
                "dom",
                "xml"
            ],
            "support": {
                "forum": "https://groups.google.com/group/sabredav-discuss",
                "issues": "https://github.com/sabre-io/xml/issues",
                "source": "https://github.com/fruux/sabre-xml"
            },
            "install-path": "../sabre/xml"
        }
    ],
    "dev": false,
    "dev-package-names": []
}
